generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Article
    theme:            emailpassion

    list:
      peer_method:    doSelectWithI18nOrderByTitle
      max_per_page:   50
      title:          Liste des articles
      filters:        [ _title, _exist_image_article, price_ttc, nb_stock, _online, _out_stock_sale, supplier_id, _size, product_id, _category ]
      display:        [_sel_item, =summary, _list_image_file_name,  title, supplier, product, price_ttc, weight, nb_stock, _online_ctrl, updated_at ]
      fields:
        sel_item:           { name: "Sél." }
        exist_image_article: { name: Image }
        online:              { name: "En ligne (Art.)" }
        out_stock_sale:      { name: Hors stock }
        category:            { name: Cat. niv. 1 }
        summary:             { name: Titre }
        title:              { name: R&eacute;sum&eacute; }
        list_image_file_name:   { name: Image }
        product:           { name: Ensemble }
        product_id:        { name: Ensemble, filter_is_empty: true }
        price_ttc:         { name: Prix }
        weight:            { name: Poids }
        supplier:          { name: Fournisseur, filter_is_empty: true }
        supplier_id:       { name: Fournisseur, filter_is_empty: true }
        size:              { name: Taille }
        online_ctrl:       { name: "En ligne (Art+Cat)" }
        nb_stock:          { name: Stock }
        updated_at:        { name: "Modif.", params: date_format='dd/MM/yyyy' }
      object_actions:
        _edit:             ~
        _delete:           ~
      actions:
        _create: 
        cocher:
          name: "Cocher / Décocher"
          action: "cocher"
          params: id=csvActionSubmit
        deplacer:
          name: "Déplacer les articles"
          action: "deplacer"
          params: id=csvActionSubmit

    edit:   
      title:                          Article %%title%%
      display:          
        "Cat&eacute;gorie":           [ _edit_category, _edit_buttons ]
        "Libell&eacute;s":            [ title, summary, description, _edit_clean_html, _edit_buttons ]
        "-Multilingue":                [ _edit_lang_title, _edit_lang_summary, _edit_lang_description, _edit_buttons ]
        "Caract&eacute;ristiques":    [ supplier_id, price_ttc, _edit_price_ht, weight, nb_stock, _edit_online, _edit_out_stock_sale, _edit_buttons ]
        "Image":                      [ _edit_image_file_name, _edit_buttons ]
        "Ensemble d\'articles":       [ _edit_back_to_product, _edit_buttons ]
        "-Attributs":                  [ _edit_attributes ]
      fields:
        summary:                 { name: Titre, type: textarea_tag, params: disabled=false size=80x1 }
        title:                   { name: R&eacute;sum&eacute;, params: disabled=false }
        description:             { name: D&eacute;tail, type: textarea_tag, params: disabled=false size=80x10 }
        edit_clean_html:         { name: Supprimer HTML, credentials: [superadmin], help: "Suppression des tags HTML sur r&eacute;sum&eacute; et d&eacute;tail" }
        edit_lang_title:         { name: Titre }
        edit_lang_summary:       { name: R&eacute;sum&eacute; }
        edit_lang_description:   { name: D&eacute;tail }
        edit_buttons:            { name: Actions }
        supplier_id:             { name: Fournisseur }
        price_ttc:               { name: Prix TTC }
        edit_price_ht:           { name: Prix HT, help: "Le prix HT est calcul&eacute; automatiquement &agrave; partir du prix TTC: vous pouvez choisir de modifier le r&eacute;sultat obtenu pour ajuster les arrondis.", params: size=5 }
        weight:                  { name: Poids, help: "Indiquer le poids en kilo (152gr = 0.152)" }
        nb_stock:                { name: Stock }
        edit_online:             { name: En ligne, type: radio_tag, help: Cet article doit-il appara&icirc;tre sur la boutique publique? }
        edit_out_stock_sale:     { name: Vente hors stock, type: radio_tag, help: Cet article peut-il &ecirc;tre vendu sans &ecirc;tre disponible en stock? }
        edit_image_file_name:    { name: Image de l'article }
        edit_attributes:         { name: Liste }
        edit_category:           { name: Cat&eacute;gories, help: Ajoutez ou supprimer la ou les cat&eacute;gorie(s) de cet article }
        edit_back_to_product:    { name: Nom }
      actions:
        _save:                   ~
        _save_and_list:          { name: Enregistrer et retour liste }
        _list:                   ~
        _add:                    { action: add, name: Nouvel article }
        _add_copy:               { action: addCopy, name: Copie article }
        _delete:                 { params: confirm="Voulez-vous supprimer cet article?" }